Loading...
Searching...
No Matches
text.c File Reference

GRASS cairo display driver - text subroutines. More...

`#include <grass/glocale.h>`
`#include "cairodriver.h"`
Include dependency graph for cairodriver/text.c:

Go to the source code of this file.

## Functions

void | Cairo_Text (const char *str)
| Draw text.
void | Cairo_text_box (const char *str, double *t, double *b, double *l, double *r)
void | Cairo_set_font (const char *name)
| Set font.
void | Cairo_font_list (char ***list, int *count)
| Get list of fonts.
void | Cairo_font_info (char ***list, int *count)
| Get fonts into.

## Detailed Description

GRASS cairo display driver - text subroutines.

(C) 2007-2008 by Lars Ahlzen and the GRASS Development Team

This program is free software under the GNU General Public License (>=v2). Read the file COPYING that comes with GRASS for details.

Author
  Lars Ahlzen <lars ahlzen.com> (original contributor)
  Glynn Clements

Definition in file cairodriver/text.c.

## Function Documentation

## Cairo_font_info()

void Cairo_font_info | ( | char *** | list,
|  | int * | count )

Get fonts into.

Parameters

  [out] | list | font list
  [out] | count | number of items in the list

Definition at line 338 of file cairodriver/text.c.

References count, and list.

Referenced by Cairo_Driver().

## Cairo_font_list()

void Cairo_font_list | ( | char *** | list,
|  | int * | count )

Get list of fonts.

Parameters

  [out] | list | font list
  [out] | count | number of items in the list

Definition at line 324 of file cairodriver/text.c.

References count, and list.

Referenced by Cairo_Driver().

## Cairo_set_font()

void Cairo_set_font | ( | const char * | name | ) |

Set font.

Parameters

  name | font name

Definition at line 283 of file cairodriver/text.c.

References name.

Referenced by Cairo_Driver().

## Cairo_Text()

void Cairo_Text | ( | const char * | str | ) |

Draw text.

Parameters

  str | string to be drawn

Definition at line 110 of file cairodriver/text.c.

References ca, cairo, cur_x, cur_y, and G_free().

Referenced by Cairo_Driver().

## Cairo_text_box()

void Cairo_text_box | ( | const char * | str,
|  | double * | t,
|  | double * | b,
|  | double * | l,
|  | double * | r )

Definition at line 133 of file cairodriver/text.c.

References b, cairo, cur_x, cur_y, G_free(), l, r, and t.

Referenced by Cairo_Driver().